Bug 1737964 - drbdlinks depends on Python 2
Summary: drbdlinks depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: drbdlinks
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 12:08 UTC by Lumír Balhar
Modified: 2019-08-26 01:00 UTC (History)
1 user (show)

Fixed In Version: drbdlinks-1.28-7.fc30 drbdlinks-1.28-7.fc29 drbdlinks-1.28-7.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 01:02:06 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 12:08:49 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for drbdlinks's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to drbdlinks.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Robert Scheck 2019-08-06 15:22:00 UTC
Thank you for filing this report. I'm already aware about this upcoming issue and thus already investigating regarding Python 3 support. The good thing with drbdlinks is that it only depends on the python package without further Python module/package dependencies. I hope to be able to provide a Python 3.x-based drbdlinks package in the next months (either with or without upstream support, however the goal is to provide all patches to upstream for upstream inclusion). However, this is likely to be addressed late, thus closed to the Python 2.7 EOL date.

Comment 2 Fedora Update System 2019-08-10 20:49:06 UTC
FEDORA-2019-8142c0232a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8142c0232a

Comment 3 Fedora Update System 2019-08-10 20:50:34 UTC
FEDORA-2019-d2c443dddb has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d2c443dddb

Comment 4 Fedora Update System 2019-08-10 20:51:09 UTC
FEDORA-EPEL-2019-7569d7857c has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7569d7857c

Comment 5 Fedora Update System 2019-08-11 01:23:03 UTC
drbdlinks-1.28-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d2c443dddb

Comment 6 Fedora Update System 2019-08-11 02:20:28 UTC
drbdlinks-1.28-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8142c0232a

Comment 7 Fedora Update System 2019-08-11 02:31:07 UTC
drbdlinks-1.28-7.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7569d7857c

Comment 8 Ben Cotton 2019-08-13 16:53:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 9 Ben Cotton 2019-08-13 17:10:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 10 Lumír Balhar 2019-08-14 05:52:03 UTC
This looks very good. Thank you!

Comment 11 Fedora Update System 2019-08-19 01:02:06 UTC
drbdlinks-1.28-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-08-19 02:29:20 UTC
drbdlinks-1.28-7.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-08-26 01:00:13 UTC
drbdlinks-1.28-7.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.